# Update actor

Update a actor

Endpoint: PUT /actor
Version: 0.9.74
Security: bearer, apiKey, apiSecret

## Header parameters:

  - `Authorization` (string, required)

## Request fields (application/json):

  - `nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `uuid` (string, required)

  - `primaryPlatformId` (string, required)

  - `language` (object)
    circular reference

  - `name` (string)

  - `user` (object)
    circular reference

  - `identifiers` (array)

  - `identifiers.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `identifiers.uuid` (string, required)

  - `identifiers.primaryPlatformId` (string, required)

  - `identifiers.language` (object)
    circular reference

  - `identifiers.name` (string)

  - `identifiers.system` (string)

  - `identifiers.value` (string)

  - `identifiers.expiredAt` (string)

  - `contactDetails` (array)

  - `contactDetails.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `contactDetails.uuid` (string, required)

  - `contactDetails.primaryPlatformId` (string, required)

  - `contactDetails.language` (object)
    circular reference

  - `contactDetails.type` (string)
    Enum: "iban", "gln", "vatCode", "name", "lastName", "middleName", "firstName", "phone", "mobilePhone", "email", "language", "other"

  - `contactDetails.value` (string)

  - `contactDetails.remarks` (string)

## Response 200 fields (application/json):

  - `success` (boolean)

  - `message` (string)

  - `code` (integer)

  - `actor` (object)

## Response 400 fields (application/json):

  - `success` (boolean)

  - `message` (string)

  - `code` (integer)

  - `errors` (array)

  - `suggestion` (string)


